function v_out = transform_initialize( parameters )
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

if parameters.model.alpha <= 3
    error('code currently not set up for alpha <= 3')
end

%extract parameters
alpha = parameters.model.alpha;
a = parameters.model.a;
u_0 = parameters.model.u_0;
u_z = parameters.model.u_z;
g = parameters.model.g;
N_0 = parameters.model.N_0;
T_0 = parameters.model.T_0;
Pe = parameters.model.Pe;
Pe_phi = parameters.model.Pe_phi;
z_ct = parameters.model.z_ct;
z_c = parameters.model.z_c;
z_t = parameters.model.z_t;

u = u_0+u_z*z_ct;
u_c = u_0+u_z*z_c;

%temperature problem initialization
v_0 = zeros(3,1);
v_0(1) = z_c + sign(z_t-z_c)*(-2*T_0/a)^(1/2);
v_0(2) = -a*exp(-Pe*u_c*v_0(1))/(Pe*u_c);
v_0(3) = -a/(Pe*u_c)*(v_0(1) - 1/(Pe*u_c) );

grid = parameters.transform.grid;
grid = grid-max(grid);
grid = grid(1:end-1);
grid = reshape(grid,1,length(grid));

%emulate shape and zeta-dependence of relevant invariant manifolds
if alpha > 3
    C = (alpha*g*a/(N_0*Pe_phi*u))^((alpha-3)/(2*alpha-4));
    v_temp = zeros(4,length(grid));
    v_temp(1,:) = 1./(C-(alpha-3)*a/(2*Pe_phi*abs(u))*grid).^(2/(alpha-3));
    v_temp(2,:) = alpha*g*a/(Pe_phi*u)*v_temp(1,:).^((3*alpha-5)/2);
    v_temp(3,:) = Pe_phi^2*u_*u_z/(2*a)*v_temp(1,:);
    v_temp(4,:) = Pe_phi*abs(u)/a + (g/a)*v_temp(1,:).^(alpha-1);
end

v_out = [v_0; reshape(v_temp,4*length(grid),1)];

end

